package com.engine.mzg.enums;

/**
 * 邮件模板类型
 *
 * @author:dxfeng
 * @createTime: 2023/09/13
 * @version: 1.0
 */
public enum EmailTemplateEnum {
    /**
     * 性格测评
     */
    DISC(0, "性格测评"),
    /**
     * 应聘登记
     */
    REGIST(1, "应聘登记"),
    /**
     * 面试
     */
    INTERVIEW(2, "面试"),
    /**
     * offer
     */
    OFFER(3, "offer");

    EmailTemplateEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }


    private Integer value;


    private String desc;

    public Integer getValue() {
        return value;
    }

    public void setValue(Integer value) {
        this.value = value;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
